Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454229 - Review Request: gnome-keyring-sharp - Mono implementation of GNOME Keyring
Summary: Review Request: gnome-keyring-sharp - Mono implementation of GNOME Keyring
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-07 02:16 UTC by Michel Alexandre Salim
Modified: 2008-07-15 14:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-15 14:37:24 UTC
gnomeuser: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Michel Alexandre Salim 2008-07-07 02:16:59 UTC
Spec URL: http://salimma.fedorapeople.org/for_review/gnome/gnome-keyring-sharp.spec
SRPM URL: http://salimma.fedorapeople.org/for_review/gnome/gnome-keyring-sharp-1.0.0-0.svn87622.1.fc9.src.rpm
Description:
gnome-keyring-sharp is a fully managed implementation of libgnome-keyring.

When the gnome-keyring-daemon is running, you can use this to retrive/store
confidential information such as passwords, notes or network services user
information.

(note: needed to update gnome-do to 0.5.0.1 release)

Comment 1 David Nielsen 2008-07-08 12:54:28 UTC
BAD	source files match upstream:
- MD5 matches but tarball name is gnome-keyring-sharp.tar.gz?view=tar not
gnome-keyring-sharp.tar.gz 

BAD	package meets naming and versioning guidelines.
- Appears to contain an extra 1 appended to the dist tag

OK	specfile is properly named, is cleanly written and uses macros consistently.
OK	dist tag is present.
OK	build root is correct.
OK	license field matches the actual license.
OK	license is open source-compatible (MIT). License text included in package.
N/A	latest version is being packaged.

OK	BuildRequires are proper.
N/A	compiler flags are appropriate.
OK	%clean is present.
OK	package builds in koji (Rawhide/x86_64).

BAD	debuginfo package looks complete.
- Debuginfo package is empty, debug package need to be disabled

OK	rpmlint is silent.
- only contains the standard bogus warnings for Mono packages

OK	final provides and requires look sane.
N/A	%check is present and all tests pass.
OK	shared libraries are added to the regular linker search paths, correct
scriptlets exist
OK	owns the directories it creates.
OK	doesn't own any directories it shouldn't.
OK	no duplicates in %files.
OK	file permissions are appropriate.
OK	correct scriptlets present.
OK	code, not content.
OK	pkgconfig files are in devel subpackage
N/A	no libtool .la droppings.
OK	not a GUI app.

Also I apologize for forgetting to do this review yesterday, I got drowned by
bugzilla spam.

Comment 2 Michel Alexandre Salim 2008-07-14 16:57:29 UTC
Updated, with the following changes:
- tarball renamed (I was using the name that wget and Firefox creates when
downloading, with the HTTP GET option not removed)
- -debuginfo package turned off

The naming convention is because this is not a stable release yet, however, I
just realized that the official recommendation is slightly different:

http://fedoraproject.org/wiki/Packaging/NamingGuidelines#PreReleasePackages

so I've adjusted the package accordingly.


Spec URL: http://salimma.fedorapeople.org/for_review/gnome/gnome-keyring-sharp.spec
SRPM URL:
http://salimma.fedorapeople.org/for_review/gnome/gnome-keyring-sharp-1.0.0-2.87622svn.fc9.src.rpm


Comment 4 David Nielsen 2008-07-14 17:10:24 UTC
Looks good to me. Approved

Comment 5 Michel Alexandre Salim 2008-07-14 18:55:27 UTC
New Package CVS Request
=======================
Package Name: gnome-keyring-sharp
Short Description: Mono implementation of GNOME Keyring
Owners: salimma
Branches: F-8 F-9 EL-5
InitialCC:
Cvsextras Commits: yes


Comment 6 Kevin Fenzi 2008-07-14 19:39:02 UTC
cvs done.

Comment 7 Michel Alexandre Salim 2008-07-15 14:37:24 UTC
Thanks. Built for Rawhide, will build and test GNOME-Do against it and then push
it to F-9 and the rest


Note You need to log in before you can comment on or make changes to this bug.